Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2833 - Default `clienttimeout' in inn.conf is too small.
Summary: Default `clienttimeout' in inn.conf is too small.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 05:43 UTC by deane
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-02 16:28:14 UTC


Attachments (Terms of Use)

Description deane 1999-05-15 05:43:23 UTC
The default value for the `clienttimeout' variable in
/etc/inn.conf is 600 seconds, or 10 minutes. So if I am
running a local inn server and one of my users spends more
than 10 minutes reading an article, or writing a reply to
it, or if they even take a bathroom break, then INN will
drop the connection to the nnrpd client.

It's easy enough for me to change this myself, but it took
me two hours to find out what it was that I had to change.
Besides, 10 minutes is just way too short. I recommend that
you increase the default to at least 1800 (half an hour).

Comment 1 Jeff Johnson 1999-06-02 16:28:59 UTC
Fixed (by changing clienttimeout to 1800) in inn-2.2-12. Thanks for
the report.


Note You need to log in before you can comment on or make changes to this bug.